program Billard7;

uses
  mSum,
  mKugel in 'mKugel.pas';

var
  derBildschirm : Bildschirm;
  dieMaus       : Maus;
  meineKugel,
  weitereKugel  : Kugel;
  meinStift     : Stift;

begin
  // Initialisierung
  derBildschirm := Bildschirm.init;
  dieMaus       := Maus.init;
  meineKugel    := Kugel.init(20,50);
  weitereKugel  := Kugel.init(300,250);
  meinStift     := Stift.init;

  // Aktionsteil
  meinStift.bewegeBis(10, 10);
  meinStift.zeichneRechteck(450, 350);  // Zeichnen des Rahmens
  meineKugel.zeichne;
  weitereKugel.zeichne;
  repeat
    meineKugel.bewege;
    weitereKugel.bewege;
  until dieMaus.istGedrueckt;

  // Aufrumen
  meinStift.gibFrei;
  weitereKugel.gibFrei;
  meineKugel.gibFrei;
  dieMaus.gibFrei;
  derBildschirm.gibFrei
end.
