UNIT mTKugel;

interface

uses    mSuM;
// Uses-Klausel ggf. anpassen

type
   TKugel = CLASS

     // Attribute
     PRIVATE
        hatStift : Stift;

     //Objektbeziehungen:
        // hatStift : Stift;
        // kenntTSpielfeld : TSpielfeld;

     // Methoden
        procedure setzeRichtung(pWinkel:Zahl);
        function hPosition: Zahl;
     PUBLIC
        constructor init(px,py:Zahl);
        procedure Bewege;
        procedure Loesche;
        procedure Zeichne;
        destructor gibFrei;

   end;

implementation

//+---------------------------------------------------------------------
//|         TKugel: Methodendefinition 
//+---------------------------------------------------------------------

//-------- init --------------------------------------------------------
constructor TKugel.init(px,py:Zahl);
begin
  hatStift := Stift.init;       // Stift erzeugen
  hatStift.bewegeBis(px,py);
end;

//-------- Bewege ------------------------------------------------------
procedure TKugel.Bewege;
begin
  self.loesche;
  hatStift.bewegeUm(0.1);       // an die Geschwindigkeit des Rechners anpassen!
  if self.hPosition > 449 then // am rechten Rand angekommen (Radius der Kugel bercksichtigen!)
     self.setzeRichtung(180);  // nach links
  if self.hPosition <  22 then // am linken Rand angekommen  (Radius der Kugel bercksichtigen!)
     self.setzeRichtung(0);    // nach rechts
  self.Zeichne;
end;

//-------- Loesche -----------------------------------------------------
procedure TKugel.Loesche;
begin
  hatStift.radiere;
  self.Zeichne;
  hatStift.normal
end;

//-------- setzeRichtung -----------------------------------------------
procedure TKugel.setzeRichtung(pWinkel:Zahl);
begin
  hatStift.dreheBis(pWinkel)
end;

//-------- Zeichne -----------------------------------------------------
procedure TKugel.Zeichne;
begin
  hatStift.zeichneKreis(10);
end;

//-------- hPosition ---------------------------------------------------
function TKugel.hPosition : Zahl;
begin
  result:=hatStift.hPosition
end;

//-------- gibFrei -----------------------------------------------------
destructor TKugel.gibFrei;
begin
  hatStift.gibFrei;             // Stift wieder freigeben
end;

end.
