program Billard9;

uses
  mSum,
  mTSpielfeld in 'mTSpielfeld.pas',
  mTBox in 'mTBox.pas',
  mTKugel in 'mTKugel.pas',
  mTBox_kennt_Kugel in 'mTBox_kennt_Kugel.pas';

var
  derBildschirm : Bildschirm;
  dieMaus       : Maus;
  ersteKugel    : TKugel;
  dasSpielfeld  : TSpielfeld;
  dieBox        : TBox_kennt_Kugel;

begin
  // Initialisierung
  randomize;
  derBildschirm := Bildschirm.init;
  dieMaus       := Maus.init;
  dasSpielfeld  := TSpielfeld.init(10,10,500,210);
  dieBox        := TBox_kennt_kugel.init(50,100,100,130);
  ersteKugel    := TKugel.init(50,50,10+random(30));
  ersteKugel.merkeSpielfeld(dasSpielfeld);
  ersteKugel.merkeBox(dieBox);
  dieBox.merkeKugel(ersteKugel);

  // Aktionsteil
  dasSpielfeld.zeichneDich;
  dieBox.zeichneDich;
  repeat
    ersteKugel.bewege;
    dieBox.zeichneDich;
  until dieMaus.istGedrueckt or dieBox.UmKugel;
  

  // Aufrumen
  ersteKugel.gibFrei;
  dieMaus.gibFrei;
  dasSpielfeld.gibFrei;
  dieBox.gibFrei;
  derBildschirm.gibFrei
end.
